# eventsTriggeringScansForBranchesSettingInput

Branch selection and events that trigger scans.

### Examples

```graphql
input EventsTriggeringScansForBranchesSettingInput {
  branchNamePatternBranchSelection: String
  genericOptionBranchSelection: GenericOptionBranchSelectionType
  events: [TriggeringEventInput!]!
}
```

### Fields

| Field                                                                                                                                                                 | Description                                  | Supported fields                                                                                                       |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| branchNamePatternBranchSelection `String`                                                                                                                             | Branch name pattern to match.                |                                                                                                                        |
| genericOptionBranchSelection [`GenericOptionBranchSelectionType`](/api-documentation/api-reference/api--pipeline/types/enums/generic-option-branch-selection-type.md) | Predefined branch selection option.          |                                                                                                                        |
| events [`[TriggeringEventInput!]!`](/api-documentation/api-reference/api--pipeline/types/inputs/triggering-event-input.md)                                            | Events that trigger scans for the selection. | <p>type <a href="/pages/yKq9764fUJlukrw4ChmJ"><code>TriggeringEventType!</code></a><br>value <code>Boolean!</code></p> |

### References

#### Fields with this object:

* [{} SetPipelineScanSettingsInput.eventsTriggeringScansForBranches](/api-documentation/api-reference/api--pipeline/types/inputs/set-pipeline-scan-settings-input.md)
* [{} SetPipelineScanSettingsInput.eventsTriggeringScansForBranchesForBitbucketApp](/api-documentation/api-reference/api--pipeline/types/inputs/set-pipeline-scan-settings-input.md)
* [{} SetPipelineScanSettingsInput.eventsTriggeringScansForBranchesForGitLabWebhooks](/api-documentation/api-reference/api--pipeline/types/inputs/set-pipeline-scan-settings-input.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--pipeline/types/inputs/events-triggering-scans-for-branches-setting-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
